﻿''' <summary>
''' Clase para definir las reglas de validación a realizar a un campo en la interfaz de usuario.
''' </summary>
''' <remarks></remarks>
Public Class Validacion

    ''' <summary>
    ''' Label del campo, se usa en el mensaje mostrado al usuario al ocurrir un error de validación.
    ''' </summary>
    ''' <remarks></remarks>
    Private labelCampoVal As String
    Public Property LabelCampo() As String
        Get
            Return labelCampoVal
        End Get
        Set(ByVal value As String)
            labelCampoVal = value
        End Set
    End Property

    ''' <summary>
    ''' Sección de la interfaz de usuario en la que se encuentra el campo. Esto permite realizar validaciones por secciones.
    ''' </summary>
    ''' <remarks></remarks>
    Private seccionVal As String
    Public Property Seccion() As String
        Get
            Return seccionVal
        End Get
        Set(ByVal value As String)
            seccionVal = value
        End Set
    End Property

    ''' <summary>
    ''' Reglas de validación a aplicar al campo.
    ''' Ejemplo: Reglas = New Dictionary(Of String, Object) From { {"req", true}, {"rut", true} }}}
    ''' Reglas = New Dictionary(Of String, Object) From { {"req", true}, {"num", true}, {"min", new decimal(0.000001)} }
    ''' req: requerido
    ''' num: numérico
    ''' min: valor mínimo
    ''' </summary>
    ''' <remarks></remarks>
    Private reglasVal As Dictionary(Of String, Object)
    Public Property Reglas() As Dictionary(Of String, Object)
        Get
            Return reglasVal
        End Get
        Set(ByVal value As Dictionary(Of String, Object))
            reglasVal = value
        End Set
    End Property

    Public Sub New(ByVal labelCampo As String, ByVal seccion As String, ByVal reglas As Dictionary(Of String, Object))
        labelCampoVal = labelCampo
        seccionVal = seccion
        reglasVal = reglas
    End Sub

End Class
